#Common
error.value.required.is.empty=`{0}` value is empty.
error.entity.not.found=Entity not found for `{0}`.
error.entity.already.present=Entity already present for `{0}`.
error.entity.invalid.data=Data is invalid for `{0}`.
# User Service
error.bad.credentials=Bad credentials.
error.user.not.found.by.email=User not found by email `{0}`.
error.user.not.found.by.uuid=User not found by uuid `{0}`.
error.credentials.match.failed=User credentials match failed.
error.user.region.empty=At least one region required.
# Region Service
error.region.not.found.by.name=Region not found by name `{0}`.
error.region.not.found.by.uuid=Region not found by uuid `{0}`.
error.parent.region.not.found.by.uuid=Parent region not found by uuid `{0}`.
error.global.region.already.present=Global region already present.
error.global.region.cannot.have.parent=Global region cannot have a parent.
# Role Service
error.role.not.found.by.name=Role not found by name `{0}`.
error.role.not.found.by.uuid=Role not found by uuid `{0}`.
error.role.exclusive.for.one.only=Role can be exclusive for single entity.
# Application Service
error.application.not.found.by.name=Application not found by name `{0}`.
error.application.not.found.by.uuid=Application not found by uuid `{0}`.
# CredentialStore Service
error.credentialStore.not.found.by.name=CredentialStore not found by name `{0}`.
error.credentialStore.not.found.by.application.name=CredentialStore not found by Application name `{0}`.
error.credentialStore.not.found.by.uuid=CredentialStore not found by uuid `{0}`.
# Team Service
error.team.not.found.by.name=Team not found by name `{0}`.
error.team.not.found.by.uuid=Team not found by uuid `{0}`.
error.parent.team.not.found.by.uuid=Parent team not found by uuid `{0}`.
error.team.at.least.one.region.required=At least one region required.
# Client Service
error.client.not.found.by.name=Client not found by name `{0}`.
error.client.not.found.by.uuid=Client not found by uuid `{0}`.
# Organization Service
error.organization.not.found.by.name=Organization not found by name `{0}`.
error.organization.not.found.by.uuid=Organization not found by uuid `{0}`.
# Authority Service
error.authority.registry.error=Problem in permission registry.
#Resource Policy
error.resource.policy.not.found.by.name=Resource Policy not found by name `{0}`.
# JWT
error.jwt.token.type.mismatch=Token is not of type `{0}`.
error.jwt.token.expiration.date.soon.invalid=Expiration date has already expired.
error.jwt.token.invalid.data=Claims in JWT no longer valid, issue with claim type `{0}`.